import unit4.collectionsLib.List;
import unit4.collectionsLib.Node;


public class BuildCityMap 
{
	public static void main(String[] args) 
	{
		CityMap shimamon = new CityMap(8);
		
		shimamon.setDistance(0, 1, 15);
		shimamon.setDistance(0, 2, 37);
		shimamon.setDistance(0, 3, 22);
		shimamon.setDistance(0, 6, 30);
		
		shimamon.setDistance(1, 5, 20);
		
		shimamon.setDistance(2, 3, 80);
		shimamon.setDistance(2, 4, 25);
		
		shimamon.setDistance(3, 4, 67);
		
		shimamon.setDistance(4, 5, 20);
		
		shimamon.setDistance(5, 6, 70);		
	}
	
	public static double getShortestPathDistance(CityMap map, int s1, int s2)
	{
		List<Integer> lst = map.getShortestPath(s1, s2);
		if(lst.isEmpty())
			return 0;
		
		double dist = 0;	
		Node<Integer> p1 = lst.getFirst();
		Node<Integer> p2 = p1.getNext();
		
		while(p2 != null)
		{	
			s1 = p1.getInfo();
			s2 = p2.getInfo();
			dist = dist + map.getDistance(s1, s2);
			p1 = p2;
			p2 = p2.getNext();
		}
		
		return dist;
	}
}
